<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:label="http://xbrl.org/2008/label" xmlns:gen="http://xbrl.org/2008/generic" xmlns:va="http://xbrl.org/2008/assertion/value" xmlns:df="http://xbrl.org/2008/filter/dimension" xmlns:variable="http://xbrl.org/2008/variable" xmlns:cf="http://xbrl.org/2008/filter/concept" xmlns:gf="http://xbrl.org/2008/filter/general" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:ea="http://xbrl.org/2008/assertion/existence">
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" xlink:type="simple"/>
    <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_CashHeldInEscrowAccounts" xlink:type="locator" xlink:label="CashHeldInEscrowAccounts"/>
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_FinancialInvestments" xlink:type="locator" xlink:label="FinancialInvestments"/>
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_AdjustmentsForInterestIncomeAndInterestExpense" xlink:type="locator" xlink:label="AdjustmentsForInterestIncomeAndInterestExpense"/>
        <link:loc xlink:href="hmi-2021-12-31.xsd#hmi_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:type="locator" xlink:label="AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="InterestReceivedClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="ComprehensiveIncome"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:label="IncomeTaxExpenseContinuingOperations"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:type="locator" xlink:label="Equity"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" xlink:label="CashAndCashEquivalents"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" xlink:label="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:type="locator" xlink:label="BasicEarningsLossPerShare"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" xlink:label="ProfitLossFromContinuingOperations"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Assets" xlink:type="locator" xlink:label="Assets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" xlink:label="CurrentLiabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdministrativeExpense" xlink:type="locator" xlink:label="AdministrativeExpense"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CostOfSales" xlink:type="locator" xlink:label="CostOfSales"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="ProfitLoss"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator" xlink:label="CashFlowsFromUsedInOperations"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_SalesAndMarketingExpense" xlink:type="locator" xlink:label="SalesAndMarketingExpense"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" xlink:label="ProfitLossFromOperatingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherExpenseByFunction" xlink:type="locator" xlink:label="OtherExpenseByFunction"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:type="locator" xlink:label="DilutedEarningsLossPerShare"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:type="locator" xlink:label="PaymentsFromChangesInOwnershipInterestsInSubsidiaries"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:type="locator" xlink:label="EquityAttributableToOwnersOfParent"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:type="locator" xlink:label="AdjustmentsForReconcileProfitLoss"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:label="CashFlowsFromUsedInFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="OtherComprehensiveIncome"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:label="IncreaseDecreaseInCashAndCashEquivalents"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="InterestPaidClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ChangesInEquity" xlink:type="locator" xlink:label="ChangesInEquity"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="locator" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GrossProfit" xlink:type="locator" xlink:label="GrossProfit"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="locator" xlink:label="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" xlink:label="NoncurrentAssets"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="locator" xlink:label="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:label="CashFlowsFromUsedInOperatingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Liabilities" xlink:type="locator" xlink:label="Liabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="ProfitLossBeforeTax"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="locator" xlink:label="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:type="locator" xlink:label="FinanceCosts"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:label="CashFlowsFromUsedInInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAndLiabilities" xlink:type="locator" xlink:label="EquityAndLiabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="NoncurrentLiabilities"/>
        <link:loc xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssets" xlink:type="locator" xlink:label="CurrentAssets"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashHeldInEscrowAccounts" xlink:to="label_CashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashHeldInEscrowAccounts" xlink:to="documentation_CashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancialInvestments" xlink:to="label_FinancialInvestments" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinancialInvestments" xlink:to="documentation_FinancialInvestments" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForInterestIncomeAndInterestExpense" xlink:to="label_AdjustmentsForInterestIncomeAndInterestExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForInterestIncomeAndInterestExpense" xlink:to="documentation_AdjustmentsForInterestIncomeAndInterestExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:to="label_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:to="documentation_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestReceivedClassifiedAsInvestingActivities" xlink:to="terseLabel_InterestReceivedClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncome" xlink:to="total_ComprehensiveIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxExpenseContinuingOperations" xlink:to="negatedTerseLabel_IncomeTaxExpenseContinuingOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Equity" xlink:to="periodEnd_Equity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:to="terseLabel_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalents" xlink:to="periodStart_CashAndCashEquivalents" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:to="terseLabel_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BasicEarningsLossPerShare" xlink:to="total_BasicEarningsLossPerShare" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromContinuingOperations" xlink:to="total_ProfitLossFromContinuingOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Assets" xlink:to="total_Assets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentLiabilities" xlink:to="total_CurrentLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdministrativeExpense" xlink:to="negated_AdministrativeExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:to="negatedTerseLabel_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfSales" xlink:to="negated_CostOfSales" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLoss" xlink:to="total_ProfitLoss" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperations" xlink:to="netLabel_CashFlowsFromUsedInOperations" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SalesAndMarketingExpense" xlink:to="negated_SalesAndMarketingExpense" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromOperatingActivities" xlink:to="total_ProfitLossFromOperatingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="negatedTerseLabel_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherExpenseByFunction" xlink:to="negatedTerseLabel_OtherExpenseByFunction" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DilutedEarningsLossPerShare" xlink:to="total_DilutedEarningsLossPerShare" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:to="negated_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="total_EquityAttributableToOwnersOfParent" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentsForReconcileProfitLoss" xlink:to="total_AdjustmentsForReconcileProfitLoss" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="netLabel_CashFlowsFromUsedInFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="total_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncome" xlink:to="total_OtherComprehensiveIncome" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Equity" xlink:to="periodStart_Equity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="netLabel_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Equity" xlink:to="total_Equity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestPaidClassifiedAsFinancingActivities" xlink:to="negatedTerseLabel_InterestPaidClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="total_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="negatedTerseLabel_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInEquity" xlink:to="total_ChangesInEquity" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="negatedTerseLabel_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="netLabel_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GrossProfit" xlink:to="netLabel_GrossProfit" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:to="total_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NoncurrentAssets" xlink:to="total_NoncurrentAssets" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:to="total_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="netLabel_CashFlowsFromUsedInOperatingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashAndCashEquivalents" xlink:to="periodEnd_CashAndCashEquivalents" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Liabilities" xlink:to="total_Liabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:to="terseLabel_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTax" xlink:to="total_ProfitLossBeforeTax" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:to="total_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:to="terseLabel_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FinanceCosts" xlink:to="negated_FinanceCosts" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="netLabel_CashFlowsFromUsedInInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityAndLiabilities" xlink:to="total_EquityAndLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="negatedTerseLabel_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NoncurrentLiabilities" xlink:to="total_NoncurrentLiabilities" xlink:type="arc"/>
        <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentAssets" xlink:to="total_CurrentAssets" xlink:type="arc"/>
        <link:label id="label_CashHeldInEscrowAccounts_pl" xlink:label="label_CashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Środki pieniężne na rachunkach powierniczych</link:label>
        <link:label id="documentation_CashHeldInEscrowAccounts_pl" xlink:label="documentation_CashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Środki pieniężne na rachunkach powierniczych</link:label>
        <link:label id="label_FinancialInvestments_pl" xlink:label="label_FinancialInvestments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Inwestycje finansowe</link:label>
        <link:label id="documentation_FinancialInvestments_pl" xlink:label="documentation_FinancialInvestments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Inwestycje finansowe</link:label>
        <link:label id="label_AdjustmentsForInterestIncomeAndInterestExpense_pl" xlink:label="label_AdjustmentsForInterestIncomeAndInterestExpense" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Korekty wynikające z przychodów i kosztów z tytułu odsetek</link:label>
        <link:label id="documentation_AdjustmentsForInterestIncomeAndInterestExpense_pl" xlink:label="documentation_AdjustmentsForInterestIncomeAndInterestExpense" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Korekty wynikające z przychodów i kosztów z tytułu odsetek</link:label>
        <link:label id="label_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts_pl" xlink:label="label_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="pl">Korekty wynikające ze zmniejszenia (zwiększenia) stanu środków na rachunkach powierniczych</link:label>
        <link:label id="documentation_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts_pl" xlink:label="documentation_AdjustmentsForDecreaseIncreaseInCashHeldInEscrowAccounts" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="pl">Korekty wynikające ze zmniejszenia (zwiększenia) stanu środków na rachunkach powierniczych</link:label>
        <link:label id="terseLabel_InterestReceivedClassifiedAsInvestingActivities_pl" xlink:label="terseLabel_InterestReceivedClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Odsetki otrzymane zaklasyfikowane jako działalność inwestycyjna terse</link:label>
        <link:label id="negatedTerseLabel_IncomeTaxExpenseContinuingOperations_pl" xlink:label="negatedTerseLabel_IncomeTaxExpenseContinuingOperations" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Obciążenie podatkowe (przychód podatkowy) negated terse</link:label>
        <link:label id="periodEnd_Equity_pl" xlink:label="periodEnd_Equity" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="pl">Kapitał własny na koniec okresu</link:label>
        <link:label id="terseLabel_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_pl" xlink:label="terseLabel_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Środki pieniężne otrzymane ze spłat zaliczek oraz pożyczek udzielonych stronom trzecim zaklasyfikowane jako działalność inwestycyjna terse</link:label>
        <link:label id="periodStart_CashAndCashEquivalents_pl" xlink:label="periodStart_CashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="pl">Środki pieniężne i ekwiwalenty środków pieniężnych na początek okresu</link:label>
        <link:label id="terseLabel_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_pl" xlink:label="terseLabel_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Inne wpływy (wypływy) środków pieniężnych zaklasyfikowane jako działalność inwestycyjna terse</link:label>
        <link:label id="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_pl" xlink:label="negated_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Zakup rzeczowych aktywów trwałych, wartości niematerialnych innych niż wartość firmy, nieruchomości inwestycyjnych oraz innych aktywów trwałych negated</link:label>
        <link:label id="total_BasicEarningsLossPerShare_pl" xlink:label="total_BasicEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Podstawowy zysk (podstawowa strata) przypadający na jedną akcję razem</link:label>
        <link:label id="total_ProfitLossFromContinuingOperations_pl" xlink:label="total_ProfitLossFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) z działalności kontynuowanej razem</link:label>
        <link:label id="total_Assets_pl" xlink:label="total_Assets" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa razem</link:label>
        <link:label id="total_CurrentLiabilities_pl" xlink:label="total_CurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania krótkoterminowe razem</link:label>
        <link:label id="negated_AdministrativeExpense_pl" xlink:label="negated_AdministrativeExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty ogólnego zarządu negated</link:label>
        <link:label id="negatedTerseLabel_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities_pl" xlink:label="negatedTerseLabel_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Zaliczki gotówkowe wpłacane i pożyczki udzielane stronom trzecim zaklasyfikowane jako działalność inwestycyjna negated terse</link:label>
        <link:label id="negated_CostOfSales_pl" xlink:label="negated_CostOfSales" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszt własny sprzedaży negated</link:label>
        <link:label id="total_ProfitLoss_pl" xlink:label="total_ProfitLoss" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) razem</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInOperations_pl" xlink:label="netLabel_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności (wykorzystane w działalności) net</link:label>
        <link:label id="negated_SalesAndMarketingExpense_pl" xlink:label="negated_SalesAndMarketingExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty sprzedaży i marketingu negated</link:label>
        <link:label id="total_ProfitLossFromOperatingActivities_pl" xlink:label="total_ProfitLossFromOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) z działalności operacyjnej razem</link:label>
        <link:label id="negatedTerseLabel_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_pl" xlink:label="negatedTerseLabel_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Opłacenie zobowiązań z tytułu leasingu, zaliczone do działalności finansowej negated terse</link:label>
        <link:label id="negatedTerseLabel_OtherExpenseByFunction_pl" xlink:label="negatedTerseLabel_OtherExpenseByFunction" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Pozostałe koszty, według funkcji negated terse</link:label>
        <link:label id="total_DilutedEarningsLossPerShare_pl" xlink:label="total_DilutedEarningsLossPerShare" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Rozwodniony zysk (rozwodniona strata) przypadający na jedną akcję razem</link:label>
        <link:label id="negated_PaymentsFromChangesInOwnershipInterestsInSubsidiaries_pl" xlink:label="negated_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Płatności z tytułu zmian udziałów własnościowych w jednostkach zależnych, które nie prowadzą do utraty kontroli negated</link:label>
        <link:label id="total_EquityAttributableToOwnersOfParent_pl" xlink:label="total_EquityAttributableToOwnersOfParent" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Kapitał własny przypisywany właścicielom jednostki dominującej razem</link:label>
        <link:label id="total_AdjustmentsForReconcileProfitLoss_pl" xlink:label="total_AdjustmentsForReconcileProfitLoss" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Korekty dokonywane w celu uzgodnienia zysku (straty) razem</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInFinancingActivities_pl" xlink:label="netLabel_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności finansowej (wykorzystane w działalności finansowej) net</link:label>
        <link:label id="total_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_pl" xlink:label="total_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody, które nie zostaną przeklasyfikowane do zysku lub straty, po opodatkowaniu razem</link:label>
        <link:label id="total_OtherComprehensiveIncome_pl" xlink:label="total_OtherComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody razem</link:label>
        <link:label id="periodStart_Equity_pl" xlink:label="periodStart_Equity" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="pl">Kapitał własny na początek okresu</link:label>
        <link:label id="netLabel_IncreaseDecreaseInCashAndCashEquivalents_pl" xlink:label="netLabel_IncreaseDecreaseInCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Zwiększenie (zmniejszenie) stanu środków pieniężnych i ich ekwiwalentów net</link:label>
        <link:label id="total_Equity_pl" xlink:label="total_Equity" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Kapitał własny razem</link:label>
        <link:label id="negatedTerseLabel_InterestPaidClassifiedAsFinancingActivities_pl" xlink:label="negatedTerseLabel_InterestPaidClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Wypłacone odsetki, zaliczone do działalności finansowej negated terse</link:label>
        <link:label id="total_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_pl" xlink:label="total_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody, które zostaną przeklasyfikowane do zysku lub straty, po opodatkowaniu razem</link:label>
        <link:label id="negatedTerseLabel_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_pl" xlink:label="negatedTerseLabel_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Zapłacony podatek dochodowy (zwrot), zaliczony do działalności operacyjnej negated terse</link:label>
        <link:label id="total_ChangesInEquity_pl" xlink:label="total_ChangesInEquity" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zwiększenie (zmniejszenie) wartości kapitału własnego razem</link:label>
        <link:label id="negatedTerseLabel_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_pl" xlink:label="negatedTerseLabel_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Spłaty pożyczek zaliczone do działalności finansowej negated terse</link:label>
        <link:label id="total_ComprehensiveIncome_pl" xlink:label="total_ComprehensiveIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Całkowite dochody razem</link:label>
        <link:label id="netLabel_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_pl" xlink:label="netLabel_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Zwiększenie (zmniejszenie) stanu środków pieniężnych i ich ekwiwalentów przed skutkami zmian kursów wymiany net</link:label>
        <link:label id="netLabel_GrossProfit_pl" xlink:label="netLabel_GrossProfit" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Zysk brutto na sprzedaży net</link:label>
        <link:label id="total_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_pl" xlink:label="total_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa obrotowe inne niż aktywa trwałe lub grupy do zbycia zaklasyfikowane jako przeznaczone do sprzedaży lub do wydania właścicielom razem</link:label>
        <link:label id="total_NoncurrentAssets_pl" xlink:label="total_NoncurrentAssets" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa trwałe (długoterminowe) razem</link:label>
        <link:label id="total_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_pl" xlink:label="total_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Inne całkowite dochody, po opodatkowaniu, różnice kursowe z przeliczenia razem</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInOperatingActivities_pl" xlink:label="netLabel_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności operacyjnej (wykorzystane w działalności operacyjnej) net</link:label>
        <link:label id="periodEnd_CashAndCashEquivalents_pl" xlink:label="periodEnd_CashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="pl">Środki pieniężne i ekwiwalenty środków pieniężnych na koniec okresu</link:label>
        <link:label id="total_Liabilities_pl" xlink:label="total_Liabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania razem</link:label>
        <link:label id="terseLabel_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities_pl" xlink:label="terseLabel_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Inne wpływy (wypływy) środków pieniężnych, zaliczone do działalności finansowej terse</link:label>
        <link:label id="total_ProfitLossBeforeTax_pl" xlink:label="total_ProfitLossBeforeTax" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zysk (strata) przed opodatkowaniem razem</link:label>
        <link:label id="total_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_pl" xlink:label="total_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania krótkoterminowe inne niż zobowiązania wchodzące w skład grup przeznaczonych do sprzedaży, zaklasyfikowanych jako utrzymywane z przeznaczeniem do sprzedaży razem</link:label>
        <link:label id="terseLabel_ProceedsFromBorrowingsClassifiedAsFinancingActivities_pl" xlink:label="terseLabel_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="pl">Wpływy z pożyczek, zaliczone do działalności finansowej terse</link:label>
        <link:label id="negated_FinanceCosts_pl" xlink:label="negated_FinanceCosts" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="pl">Koszty finansowe negated</link:label>
        <link:label id="netLabel_CashFlowsFromUsedInInvestingActivities_pl" xlink:label="netLabel_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/netLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne z działalności inwestycyjnej (wykorzystane w działalności inwestycyjnej) net</link:label>
        <link:label id="total_EquityAndLiabilities_pl" xlink:label="total_EquityAndLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Kapitał własny i zobowiązania razem</link:label>
        <link:label id="negatedTerseLabel_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_pl" xlink:label="negatedTerseLabel_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="resource" xml:lang="pl">Przepływy pieniężne wykorzystane w ramach objęcia kontroli nad jednostkami zależnymi lub innymi przedsięwzięciami zaklasyfikowane jako działalność inwestycyjna negated terse</link:label>
        <link:label id="total_NoncurrentLiabilities_pl" xlink:label="total_NoncurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Zobowiązania długoterminowe razem</link:label>
        <link:label id="total_CurrentAssets_pl" xlink:label="total_CurrentAssets" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="pl">Aktywa obrotowe (krótkoterminowe) razem</link:label>
    </link:labelLink>
</link:linkbase>
